// src/config.ts
import { cosmiconfig } from "cosmiconfig";
async function loadConfig(configPath) {
  const explorer = cosmiconfig("stacksync");
  const result = configPath ? await explorer.load(configPath) : await explorer.search();
  const defaultConfig = {
    ignore: [],
    aliases: {},
    logosPath: "/public/tech/",
    colorMode: "default"
  };
  return { ...defaultConfig, ...result?.config };
}

export {
  loadConfig
};
